;-=-=-=-=-=-
; DeadLy Script - PORT  
;-=-=-=-=-=- 
alias ps return @Port
alias edt.port { drawtext $ps 14 arial 12 $calc($1 +5) $calc($2 -15) $4- | drawedit $ps $1 $2 $3 14 }
alias chk.port { drawchk $ps 160 $1 $hget(spam,$2) $3- | drawedit $ps 260 $1 200 14 }
alias txt.port { drawtext -o $ps 1 arial 14 159 31 $1- | drawtext -o $ps 4 arial 14 160 30 $1- }


alias port {
  window -Ckpa +fbn $ps -1 -1 500 330 $icons(pro)
  drawrect -fr $ps $gettok(%xrgb,1,44) 1 0 0 500 330
  drawbox $ps 10 20 475 230

  drawsq $ps 20 30 300 65 channels
  edt.port 30 50 250 Channels (seperated with comma eg: #ch1,#ch2...)
  drawchk $ps 30 70 $hget(port,all) enable to all channels
  drawchk $ps 330 30 $hget(port,kban) Kick ban user
  drawchk $ps 330 50 $hget(port,xov) Exclude +o / +v
  drawchk $ps 330 70 $hget(port,xfrnd) Exclude Friends

  drawsq $ps 20 110 450 125 scan ports
  drawchk $ps 30 130 $hget(port,p80) Port 80
  drawchk $ps 30 150 $hget(port,p81) Port 81
  drawchk $ps 30 170 $hget(port,p54) Port 54
  drawchk $ps 30 190 $hget(port,p8000) Port 8000
  drawchk $ps 30 210 $hget(port,p8080) Port 8080

  drawchk $ps 130 130 $hget(port,p8888) Port 8888
  drawchk $ps 130 150 $hget(port,p6588) Port 6588
  drawchk $ps 130 170 $hget(port,p8875) Port 8875
  drawchk $ps 130 190 $hget(port,p3128) Port 3128
  drawchk $ps 130 210 $hget(port,p5000) Port 5000

  drawchk $ps 230 130 $hget(port,p1234) Port 1234
  drawchk $ps 230 150 $hget(port,p777) Port 777
  drawchk $ps 230 170 $hget(port,py3k) Port y3k
  drawchk $ps 230 190 $hget(port,pdeep) Port deep
  drawchk $ps 230 210 $hget(port,phack) Port hack

  drawchk $ps 330 130 $hget(port,pbo) Back Orrifice 2000
  drawchk $ps 330 150 $hget(port,pproxy) Sock's Proxy
  drawchk $ps 330 170 $hget(port,psub7) SubSeven
  drawchk $ps 330 190 $hget(port,pmaster) Master's Paradise

  drawbut $ps 350 260 100 20 OK
  drawchk $ps 10 260 $hget(port,enable) Enable / Disable Port Scan

  drawtext $ps 14 arial 12 10 285 If enable, it scan joined nick for possible Port / Proxy / Exploit / Trojan / Infected PC virus
}

menu @Port {
  sclick: {
    menuedit $ps 30 50 250 14 port.channels
    menuchk $ps 30 70 150 port all enable to all channels
    menuchk $ps 330 30 130 port kban Kick ban user
    menuchk $ps 330 50 130 port xov Exclude +o / +v
    menuchk $ps 330 70 130 port xfrnd Exclude Friends
    menuchk $ps 30 130 80 port p80 Port 80
    menuchk $ps 30 150 80 port p81 Port 81
    menuchk $ps 30 170 80 port p54 Port 54
    menuchk $ps 30 190 80 port p8000 Port 8000
    menuchk $ps 30 210 80 port p8080 Port 8080
    menuchk $ps 130 130 80 port p8888 Port 8888
    menuchk $ps 130 150 80 port p6588 Port 6588
    menuchk $ps 130 170 80 port p8875 Port 8875
    menuchk $ps 130 190 80 port p3128 Port 3128
    menuchk $ps 130 210 80 port p5000 Port 5000
    menuchk $ps 230 130 80 port p1234 Port 1234
    menuchk $ps 230 150 80 port p777 Port 777
    menuchk $ps 230 170 80 port py3k Port y3k
    menuchk $ps 230 190 80 port pdeep Port deep
    menuchk $ps 230 210 80 port phack Port hack
    menuchk $ps 330 130 80 port pbo Back Orrifice 2000
    menuchk $ps 330 150 80 port pproxy Sock's Proxy
    menuchk $ps 330 170 80 port psub7 SubSeven
    menuchk $ps 330 190 80 port pmaster Master's Paradise

  }
}
;-=-=-=-=-=- 
;-=-=-=-=-=- 
